from django.utils.translation import gettext_lazy

from django.db import models


class ReceiverType(models.TextChoices):
    SYSLOG = "syslog", gettext_lazy("Syslog")
    OPCUA = "OPC_UA", gettext_lazy("OPC UA")


class SeverityLevel(models.IntegerChoices):
    MINIMAL = 0, gettext_lazy("Minimal severity")
    INFO = 10, gettext_lazy("Info severity")
    LOW = 40, gettext_lazy("Low severity")
    MEDIUM = 70, gettext_lazy("Medium severity")
    HIGH = 90, gettext_lazy("High severity")
    CRITICAL = 100, gettext_lazy("Critical severity")


class SysLogSendProtocol(models.TextChoices):
    UDP = "UDP", gettext_lazy("UDP")
    TCP = "TCP", gettext_lazy("TCP")
